<template>
  <div style="min-height:400px;">
    <ExperimentMark
      v-if="markData"
      :markData="markData"
      :nowShow="nowShow"
    ></ExperimentMark>
    <el-card
      v-if="!markData"
      class="box-card"
      style="background:#F56C6C;color:#fff"
    >
      暂无实验报告数据！
    </el-card>
    <el-button v-show="false" @click="showMessage" plain>展示</el-button>
  </div>
</template>

<script>
import ExperimentMark from "../experimentRead/experimentMark";
import { answersheets } from "@/api";
import { mapGetters } from "vuex";
export default {
  name: "experimentReport",
  components: {
    ExperimentMark
  },
  computed: {
    ...mapGetters({ user: "accounts/user" })
  },
  async created() {
    if (!this.$route.query.data && this.user.id) {
      await this.getAnswerSheet();
    }
  },
  methods: {
    async getAnswerSheet() {
      const res = await answersheets.list({
        filters: {
          where: {
            account_id: this.user.id
          },
          include: [
            "account",
            {
              association: "answers",
              include: ["question"]
            }
          ],
          order: [
            {
              key: "createdAt",
              sort: "desc"
            }
          ],
          size: 1
        }
      });
      this.markData = res.items[0];
      if (this.markData.isEnd) {
        this.nowShow = true;
      }
    },
    showMessage() {
      this.$message({
        type: "success",
        message: "上传实验数据成功"
      });
    }
  },
  data() {
    return {
      markData: this.$route.query.data,
      nowShow: false
    };
  }
};
</script>

<style></style>
